### Constant

# Gio FILE_ATTRIBUTE_THUMBNAIL_IS_VALID_LARGE

since: 2.0

#### Declaration

    #define G_FILE_ATTRIBUTE_THUMBNAIL_IS_VALID_LARGE "thumbnail::is-valid-large"

#### Description

A key in the “thumbnail” namespace for checking whether the large thumbnail is outdated.

This attribute is `TRUE` if the large thumbnail is up-to-date with the file it represents, and `FALSE` if the file has been modified since the thumbnail was generated.

If `G_FILE_ATTRIBUTE_THUMBNAILING_FAILED_LARGE` is `TRUE` and this attribute is `FALSE`, it indicates that thumbnailing may be attempted again and may succeed.

Corresponding `GFileAttributeType` is `G_FILE_ATTRIBUTE_TYPE_BOOLEAN`.

Available since: 2.0